Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.converters
Class C45Saver

    java.lang.Object
      weka.core.converters.AbstractSaver
          weka.core.converters.AbstractFileSaver
              weka.core.converters.C45Saver

All Implemented Interfaces:
  java.io.Serializable, BatchConverter, FileSourcedConverter, IncrementalConverter, Saver, OptionHandler

    public class C45Saver

extends AbstractFileSaver
implements BatchConverter, IncrementalConverter, OptionHandler

Writes to a destination in the format used by the C4.5 slgorithm. The output are two files: *.names, *.data Valid options: -i input arff file
The input filw in ARFF format.

-o the output file
The output file. The prefix of the output file is sufficient.

-c class index
The index of the class attribute. first and last are valid as well (default: last).

Version:
  $Revision: 1.2 $
Author:
  Stefan Mutter (mutter@cs.waikato.ac.nz)
See Also:
  `Saver`, Serialized Form

Field Summary

Fields inherited from interface weka.core.converters.Saver
`BATCH, INCREMENTAL, NONE`

Constructor Summary
`C45Saver()` Constructor

Method Summary
`java.lang.String` | `getFileDescription()` Returns a description of the file type.
`java.lang.String[]` | `getOptions()` Gets the current settings of the C45Saver object.
`java.lang.String` | `globalInfo()` Returns a string describing this Saver
`java.util.Enumeration` | `listOptions()` Returns an enumeration describing the available options.
`static void` | `main(java.lang.String[] options)` Main method.
`void` | `resetOptions()` Resets the Saver
`void` | `setOptions(java.lang.String[] options)` Parses a given list of options.
`void` | `writeBatch()` Writes a Batch of instances
`void` | `writeIncremental(Instance inst)` Saves an instances incrementally.

Methods inherited from class weka.core.converters.AbstractFileSaver
`cancel, filePrefix, getFileExtension, getWriter, resetWriter, retrieveDir, retrieveFile, setDestination, setDestination, setDir, setDirAndPrefix, setFile, setFilePrefix`

Methods inherited from class weka.core.converters.AbstractSaver
`getInstances, getWriteMode, resetStructure, setInstances, setRetrieval, setStructure`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### C45Saver

    public C45Saver()

  Constructor

Method Detail

### globalInfo

    public java.lang.String globalInfo()

  Returns a string describing this Saver

  Returns:
    a description of the Saver suitable for displaying in the explorer/experimenter gui

### getFileDescription

    public java.lang.String getFileDescription()

  Returns a description of the file type.

  Specified by:
    `getFileDescription` in interface `FileSourcedConverter`
  Specified by:
    `getFileDescription` in class `AbstractFileSaver`
  Returns:
    a short file description

### resetOptions

    public void resetOptions()

  Resets the Saver

  Overrides:
    `resetOptions` in class `AbstractFileSaver`

### writeIncremental

    public void writeIncremental(Instance inst)
                          throws java.io.IOException

  Saves an instances incrementally. Structure has to be set by using the setStructure() method or setInstances() method.

  Specified by:
    `writeIncremental` in interface `Saver`
  Overrides:
    `writeIncremental` in class `AbstractSaver`
  Parameters:
    `inst` - the instance to save
  Throws:
    `java.io.IOException` - throws IOEXception if an instance cannot be saved incrementally.

### writeBatch

    public void writeBatch()
                    throws java.io.IOException

  Writes a Batch of instances

  Specified by:
    `writeBatch` in interface `Saver`
  Specified by:
    `writeBatch` in class `AbstractSaver`
  Throws:
    `java.io.IOException` - throws IOException if saving in batch mode is not possible

### listOptions

    public java.util.Enumeration listOptions()

  Returns an enumeration describing the available options.

  Specified by:
    `listOptions` in interface `OptionHandler`
  Overrides:
    `listOptions` in class `AbstractFileSaver`
  Returns:
    an enumeration of all the available options.

### setOptions

    public void setOptions(java.lang.String[] options)
                    throws java.lang.Exception

  Parses a given list of options. Valid option is:

  -i input arff file
  The input filw in ARFF format.

  -o the output file
  The output file. The prefix of the output file is sufficient.

  -c class index
  The index of the class attribute. first and last are valid as well (default: last).

  Specified by:
    `setOptions` in interface `OptionHandler`
  Overrides:
    `setOptions` in class `AbstractFileSaver`
  Parameters:
    `options` - the list of options as an array of strings
  Throws:
    `java.lang.Exception` - if an option is not supported

### getOptions

    public java.lang.String[] getOptions()

  Gets the current settings of the C45Saver object.

  Specified by:
    `getOptions` in interface `OptionHandler`
  Overrides:
    `getOptions` in class `AbstractFileSaver`
  Returns:
    an array of strings suitable for passing to setOptions

### main

    public static void main(java.lang.String[] options)

  Main method.

  Parameters:
    `options` - should contain the options of a Saver.

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD